---
title: AudioContextOptions
slug: Web/API/AudioContextOptions
tags:
  - API
  - Audio
  - AudioContext
  - AudioContextOptions
  - Configuration
  - Context
  - Dictionary
  - Interface
  - Options
  - Reference
  - Settings
  - Web Audio API
  - sampleRate
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <code><strong>AudioContextOptions</strong></code> dictionary is used to specify configuration options when constructing a new {{domxref("AudioContext")}} object to represent a graph of web audio nodes.</span> It is only used when calling the {{domxref("AudioContext.AudioContext", "AudioContext()")}} constructor.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("AudioContextOptions.latencyHint", "latencyHint")}} {{optional_inline}}</dt>
 <dd>The type of playback that the context will be used for, as a value from the {{domxref("AudioContextLatencyCategory")}} enum or a double-precision floating-point value indicating the preferred maximum latency of the context in seconds. The user agent may or may not choose to meet this request; check the value of {{domxref("AudioContext.baseLatency")}} to determine the true latency after creating the context.</dd>
 <dt>{{domxref("AudioContextOptions.sampleRate", "sampleRate")}} {{optional_inline}}</dt>
 <dd>The {{domxref("BaseAudioContext.sampleRate", "sampleRate")}} to be used by the <code>AudioContext</code>, specified in samples per second. The value may be any value supported by {{domxref("AudioBuffer")}}. If not specified, the preferred sample rate for the context's output device is used by default.</dd>
</dl>

<h2 id="Constants">Constants</h2>

<h3 id="Standard_values_for_latencyHint">Standard values for latencyHint</h3>

<p>The {{domxref("AudioContextOptions.latencyHint", "latencyHint")}} property can be number specifying a preferred maximum latency in seconds or a string from the {{domxref("AudioContextLatencyCategory")}} enumerated string, which selects a standard value for a given type of audio usage:</p>

<p>{{page("/en-US/docs/Web/API/AudioContextLatencyCategory", "Values")}}</p>

<h2 id="Example">Example</h2>

<p>This example instantiates an audio context for music playback (optimized for power consumption over latency), with the sample rate 48,000 Hz.</p>

<pre class="brush: js">let musicContext = new AudioContext({
  latencyHint: "playback",
  sampleRate: 48000
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#AudioContextOptions','AudioContextOptions')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioContextOptions")}}</p>
